factory.h File Reference

Classes and functions for registering and locating library objects. More...

Go to the source code of this file.

## Classes

class | ObjectFactory< AbstractClass >
| Object factory interface for registering objects. More...
class | DefaultObjectFactory< AbstractClass, ConcreteClass >
| Object factory for registering objects. More...
class | ObjectFactoryRegistry< AbstractClass, instance >
| Object factory registry. More...
class | ObjectFactoryRegistry< AbstractClass, instance >::FactoryNotFound
struct | RegisterDefaultFactoryFor< AbstractClass, ConcreteClass, instance >
| Object factory registry helper. More...

## Functions

template<class SchemeClass >
void | RegisterAsymmetricCipherDefaultFactories (const char *name=NULL)
template<class SchemeClass >
void | RegisterSignatureSchemeDefaultFactories (const char *name=NULL)
template<class SchemeClass >
void | RegisterSymmetricCipherDefaultFactories (const char *name=NULL)
template<class SchemeClass >
void | RegisterAuthenticatedSymmetricCipherDefaultFactories (const char *name=NULL)

## Detailed Description

Classes and functions for registering and locating library objects.

Definition in file factory.h.